GroupFacetCollector.SegmentResult (Lucene 10.5.1 grouping API)
Description: declaration: package: org.apache.lucene.search.grouping, class: GroupFacetCollector, class: SegmentResult

Package org.apache.lucene.search.grouping

# Class GroupFacetCollector.SegmentResult

java.lang.Object
org.apache.lucene.search.grouping.GroupFacetCollector.SegmentResult

Enclosing class:
  `GroupFacetCollector`

protected abstract static class GroupFacetCollector.SegmentResult extends Object
Contains the local grouped segment counts for a particular segment. Each `SegmentResult` must be added together.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int[]`
  `counts`
  `protected final int`
  `maxTermPos`
  `protected int`
  `mergePos`
  `protected BytesRef`
  `mergeTerm`
  `protected final int`
  `missing`
  `protected final int`
  `total`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SegmentResult(int[] counts, int total, int missing, int maxTermPos)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `nextTerm()`
  Go to next term in this `SegmentResult` in order to retrieve the grouped facet counts.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### counts

    protected final int[] counts

  - ### total

    protected final int total

  - ### missing

    protected final int missing

  - ### maxTermPos

    protected final int maxTermPos

  - ### mergeTerm

    protected BytesRef mergeTerm

  - ### mergePos

    protected int mergePos

- ## Constructor Details

  - ### SegmentResult

    protected SegmentResult(int[] counts, int total, int missing, int maxTermPos)

- ## Method Details

  - ### nextTerm

    protected abstract void nextTerm() throws IOException
    Go to next term in this `SegmentResult` in order to retrieve the grouped facet counts.
    Throws:
      `IOException` - If I/O related errors occur